org.apache.tinkerpop.gremlin.process.computer.util

## Class ComputerGraph.ComputerEdge

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerElement
  - - org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerEdge

- All Implemented Interfaces:
    Edge, Element, WrappedEdge<Edge>, WrappedElement<Element>
  Enclosing class:
    ComputerGraph

      public class ComputerGraph.ComputerEdge
      extends ComputerGraph.ComputerElement
      implements Edge, WrappedEdge<Edge>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `Edge.Exceptions`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `DEFAULT_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComputerEdge(Edge edge)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Edge` | `getBaseEdge()`
    `Vertex` | `inVertex()` Get the incoming/head vertex of this edge.
    `Vertex` | `outVertex()` Get the outgoing/tail vertex of this edge.
    `<V> Iterator<Property<V>>` | `properties(String... propertyKeys)` Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys.
    `Iterator<Vertex>` | `vertices(Direction direction)` Retrieve the vertex (or vertices) associated with this edge as defined by the direction.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.ComputerGraph.ComputerElement

      `equals, getBaseElement, graph, hashCode, id, keys, label, property, property, remove, toString, value, values`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Edge

      `bothVertices`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `graph, id, keys, label, property, property, remove, value, values`

- - ### Constructor Detail

    - #### ComputerEdge

          public ComputerEdge(Edge edge)

  - ### Method Detail

    - #### vertices

          public Iterator<Vertex> vertices(Direction direction)

      Description copied from interface: `Edge`
      Retrieve the vertex (or vertices) associated with this edge as defined by the direction. If the direction is `Direction.BOTH` then the iterator order is: `Direction.OUT` then `Direction.IN`.
      Specified by:
        `vertices` in interface `Edge`
      Parameters:
        `direction` - Get the incoming vertex, outgoing vertex, or both vertices
      Returns:
        An iterator with 1 or 2 vertices

    - #### outVertex

          public Vertex outVertex()

      Description copied from interface: `Edge`
      Get the outgoing/tail vertex of this edge.
      Specified by:
        `outVertex` in interface `Edge`
      Returns:
        the outgoing vertex of the edge

    - #### inVertex

          public Vertex inVertex()

      Description copied from interface: `Edge`
      Get the incoming/head vertex of this edge.
      Specified by:
        `inVertex` in interface `Edge`
      Returns:
        the incoming vertex of the edge

    - #### properties

          public <V> Iterator<Property<V>> properties(String... propertyKeys)

      Description copied from interface: `Element`
      Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys. If no keys are provide then return all the properties.
      Specified by:
        `properties` in interface `Edge`
      Specified by:
        `properties` in interface `Element`
      Overrides:
        `properties` in class `ComputerGraph.ComputerElement`

    - #### getBaseEdge

          public Edge getBaseEdge()

      Specified by:
        `getBaseEdge` in interface `WrappedEdge<Edge>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.